Upstream information

CVE-2019-18397 at MITRE

Description

A buffer overflow in the fribidi_get_par_embedding_levels_ex() function in lib/fribidi-bidi.c of GNU FriBidi through 1.0.7 allows an attacker to cause a denial of service or possibly execute arbitrary code by delivering crafted text content to a user, when this content is then rendered by an application that uses FriBidi for text layout calculations. Examples include any GNOME or GTK+ based application that uses Pango for text layout, as this internally uses FriBidi for bidirectional text layout. For example, the attacker can construct a crafted text file to be opened in GEdit, or a crafted IRC message to be viewed in HexChat.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 7.8
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Local Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1156260 [REOPENED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • fribidi >= 1.0.5-3.3.1
  • fribidi-devel >= 1.0.5-3.3.1
  • libfribidi0 >= 1.0.5-3.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP2-2021-1655
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • fribidi >= 1.0.5-3.3.1
  • fribidi-devel >= 1.0.5-3.3.1
  • libfribidi0 >= 1.0.5-3.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2021-1655
SUSE Linux Enterprise Module for Desktop Applications 15 SP2
  • libfribidi0-32bit >= 1.0.5-3.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP2-2021-1655
SUSE Linux Enterprise Module for Desktop Applications 15 SP3
  • libfribidi0-32bit >= 1.0.5-3.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP3-2021-1655
SUSE MicroOS 5.0
  • libfribidi0 >= 1.0.5-3.3.1
Patchnames:
SUSE-SUSE-MicroOS-5.0-2021-1655
openSUSE Leap 15.2
  • fribidi >= 1.0.5-lp152.2.3.1
  • fribidi-devel >= 1.0.5-lp152.2.3.1
  • libfribidi0 >= 1.0.5-lp152.2.3.1
  • libfribidi0-32bit >= 1.0.5-lp152.2.3.1
Patchnames:
openSUSE-2021-763
openSUSE Leap 15.3
  • fribidi >= 1.0.5-3.3.1
  • fribidi-devel >= 1.0.5-3.3.1
  • libfribidi0 >= 1.0.5-3.3.1
  • libfribidi0-32bit >= 1.0.5-3.3.1
Patchnames:
openSUSE-SLE-15.3-2021-1655
openSUSE Tumbleweed
  • fribidi >= 1.0.10-2.1
  • fribidi-devel >= 1.0.10-2.1
  • libfribidi0 >= 1.0.10-2.1
  • libfribidi0-32bit >= 1.0.10-2.1
Patchnames:
openSUSE Tumbleweed GA fribidi-1.0.10-2.1


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 fribidi Not affected
SUSE CaaS Platform 4.0 fribidi Not affected
SUSE Enterprise Storage 5 fribidi Unsupported
SUSE Enterprise Storage 6 fribidi Not affected
SUSE Linux Enterprise Desktop 12 SP4 fribidi Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 fribidi Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 fribidi Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS fribidi Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS fribidi Not affected
SUSE Linux Enterprise Micro 5.0 fribidi Released
SUSE Linux Enterprise Module for Basesystem 15 fribidi Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 fribidi Unsupported
SUSE Linux Enterprise Module for Basesystem 15 SP2 fribidi Released
SUSE Linux Enterprise Module for Basesystem 15 SP3 fribidi Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 fribidi Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 fribidi Released
SUSE Linux Enterprise Point of Service 11 SP3 fribidi Not affected
SUSE Linux Enterprise Point of Service Image Server 12 SP2 fribidi Unsupported
SUSE Linux Enterprise Server 11 SP4 LTSS fribidi Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS fribidi Not affected
SUSE Linux Enterprise Server 12 SP2 ESPOS fribidi Unsupported
SUSE Linux Enterprise Server 12 SP2 LTSS fribidi Not affected
SUSE Linux Enterprise Server 12 SP3 ESPOS fribidi Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS fribidi Not affected
SUSE Linux Enterprise Server 12 SP4 fribidi Not affected
SUSE Linux Enterprise Server 12 SP4 ESPOS fribidi Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS fribidi Not affected
SUSE Linux Enterprise Server 12 SP5 fribidi Not affected
SUSE Linux Enterprise Server 15 ESPOS fribidi Not affected
SUSE Linux Enterprise Server 15 LTSS fribidi Not affected
SUSE Linux Enterprise Server 15 SP1 LTSS fribidi Not affected
SUSE Linux Enterprise Server BCL 12 SP2 fribidi Not affected
SUSE Linux Enterprise Server BCL 12 SP3 fribidi Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 fribidi Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 fribidi Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 fribidi Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 fribidi Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 fribidi Not affected
SUSE Linux Enterprise Server for SAP Applications 15 fribidi Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 fribidi Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 fribidi Not affected
SUSE Manager Proxy 4.0 fribidi Not affected
SUSE Manager Retail Branch Server 4.0 fribidi Not affected
SUSE Manager Server 4.0 fribidi Not affected
SUSE OpenStack Cloud 7 fribidi Not affected
SUSE OpenStack Cloud 8 fribidi Not affected
SUSE OpenStack Cloud 9 fribidi Not affected
SUSE OpenStack Cloud Crowbar 8 fribidi Not affected
SUSE OpenStack Cloud Crowbar 9 fribidi Not affected